Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/external/bsd/am-utils merge conflicts



details:   https://anonhg.NetBSD.org/src/rev/7ec691cdc872
branches:  trunk
changeset: 335618:7ec691cdc872
user:      christos <christos%NetBSD.org@localhost>
date:      Sat Jan 17 17:46:30 2015 +0000

description:
merge conflicts

diffstat:

 external/bsd/am-utils/amd2netbsd                         |   135 +
 external/bsd/am-utils/bin/fsinfo/Makefile                |     9 +-
 external/bsd/am-utils/dist/ChangeLog                     |   362 +
 external/bsd/am-utils/dist/amd/amd.8                     |    10 +-
 external/bsd/am-utils/dist/amd/amfs_generic.c            |     6 +-
 external/bsd/am-utils/dist/amd/conf_tok.l                |    24 +-
 external/bsd/am-utils/dist/amd/ops_cdfs.c                |    12 +-
 external/bsd/am-utils/dist/amd/readdir.c                 |   547 +-
 external/bsd/am-utils/dist/amd/sun_map_parse.y           |    26 +-
 external/bsd/am-utils/dist/amd/sun_map_tok.l             |    19 +-
 external/bsd/am-utils/dist/amq/amq.8                     |    18 +-
 external/bsd/am-utils/dist/amq/amq.c                     |     7 +-
 external/bsd/am-utils/dist/conf/transp/transp_sockets.c  |     4 +-
 external/bsd/am-utils/dist/configure.in                  |  1444 ---
 external/bsd/am-utils/dist/doc/am-utils.texi             |    51 +-
 external/bsd/am-utils/dist/fixmount/fixmount.8           |    10 +-
 external/bsd/am-utils/dist/fsinfo/fsi_lex.l              |    28 +-
 external/bsd/am-utils/dist/hlfsd/hlfsd.8                 |    10 +-
 external/bsd/am-utils/dist/hlfsd/hlfsd.c                 |    23 +-
 external/bsd/am-utils/dist/hlfsd/homedir.c               |    21 +-
 external/bsd/am-utils/dist/hlfsd/stubs.c                 |    10 +-
 external/bsd/am-utils/dist/include/am_compat.h           |    35 +-
 external/bsd/am-utils/dist/include/am_defs.h             |    35 +-
 external/bsd/am-utils/dist/libamu/mount_fs.c             |  1187 +-
 external/bsd/am-utils/dist/libamu/strdup.c               |    66 -
 external/bsd/am-utils/dist/m4/macros/header_templates.m4 |    74 +-
 external/bsd/am-utils/dist/m4/macros/libtool.m4          |  6184 --------------
 external/bsd/am-utils/dist/m4/macros/save_state.m4       |     3 +-
 external/bsd/am-utils/dist/scripts/expn.1                |  1371 ---
 external/bsd/am-utils/dist/scripts/expn.in               |  1369 ---
 external/bsd/am-utils/include/amu_autofs_prot.h          |     8 +-
 external/bsd/am-utils/include/amu_nfs_prot.h             |     9 +-
 external/bsd/am-utils/include/config.h                   |   112 +-
 external/bsd/am-utils/lib/libamu/shlib_version           |     4 +-
 34 files changed, 2135 insertions(+), 11098 deletions(-)

diffs (truncated from 14705 to 300 lines):

diff -r f079e06fc901 -r 7ec691cdc872 external/bsd/am-utils/amd2netbsd
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/external/bsd/am-utils/amd2netbsd  Sat Jan 17 17:46:30 2015 +0000
@@ -0,0 +1,135 @@
+#! /bin/sh
+#
+#      $NetBSD: amd2netbsd,v 1.1 2015/01/17 17:46:30 christos Exp $
+#
+# Copyright (c) 2000 The NetBSD Foundation, Inc.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
+# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+# PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
+# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+#
+# amd2netbsd:  convert an amd source tree into a
+# netbsd amd source tree, under src/dist,
+# based on bind2netbsd by Bernd Ernesti and changes by Simon Burge
+#
+# Rough instructions for importing new amd release:
+#
+#      $ cd /some/where/temporary
+#      $ tar xpfz /new/amd/release/tar/file
+#      $ sh /usr/src/external/bsd/am-utils/dist/amd2netbsd am-utils-6.x.y `pwd`
+#      $ cd src/external/bsd/dist/am-utils
+#      $ cvs -d cvs.netbsd.org:/cvsroot import -m "Import am-utils 6.x.y" src/external/bsd/am-utils/dist ezk am-utils-6-x-y
+#      $ cd ../../../am-utils-6.x.y
+#      $ run ./configure
+# merge newly generated config.h with /usr/src/usr.sbin/amd/include/config.h
+# very carefully, since autoconfig seems to be broken (at least in 6.0.4)
+#      $ cd ..
+#      $ rm -r src am-utils-6.x.y
+#      $ cd /usr/src/usr.sbin/amd
+#      $ cvs commit -m "Updated autoconf generated files for am-utils 6.x.y."
+#
+#      - check makefiles to see if any extra sources have been added.
+#      - update distrib/sets if necessary.
+
+if [ $# -ne 2 ]; then echo "amd2netbsd src dest"; exit 1; fi
+
+r=$1
+d=$2/src/external/bsd/am-utils/dist
+
+case "$d" in
+       /*)
+               ;;
+       *)
+               d=`/bin/pwd`/$d
+               ;;
+esac
+
+case "$r" in
+       /*)
+               ;;
+       *)
+               r=`/bin/pwd`/$r
+               ;;
+esac
+
+echo preparing directory $d
+rm -rf $d
+mkdir -p $d
+
+### Copy the files and directories
+echo copying $r to $d
+cd $r
+pax -rw * $d
+
+echo removing unneeded directories and files
+
+### Remove unneeded files
+cd $d
+rm -f doc/am-utils.dvi doc/am-utils.info* doc/am-utils.ps
+
+### Remove the $'s around RCS tags
+cleantags $d
+
+### Add our NetBSD RCS Id
+find $d -type f -name '*.[chly]' -print | while read c; do
+       sed 1q < $c | grep -q '\$NetBSD' || (
+echo "/*       \$NetBSD\$      */" >/tmp/amd3n$$
+echo "" >>/tmp/amd3n$$
+cat $c  >> /tmp/amd3n$$
+mv /tmp/amd3n$$ $c && echo added NetBSD RCS tag to $c
+       )
+done
+
+find $d -type f -name '*.[0-9]' -print | while read m; do
+       sed 1q < $m | grep -q '\$NetBSD' || (
+echo ".\\\"    \$NetBSD\$" >/tmp/amd2m$$
+echo ".\\\"" >>/tmp/amd2m$$
+cat $m >> /tmp/amd2m$$
+mv /tmp/amd2m$$ $m && echo added NetBSD RCS tag to $m
+       )
+done
+
+find $d -type f -name '*.texi' -print | while read t; do
+        sed "2 s/^/@c \$NetBSD\$\\
+/" < $t > /tmp/amd4t$$
+       mv /tmp/amd4t$$ $t && echo added NetBSD RCS tag to $t
+done
+
+echo done
+
+### Clean up any CVS directories that might be around.
+echo "cleaning up CVS residue."
+(
+       cd $d
+       find . -type d -name "CVS" -print | xargs rm -r
+)
+echo done
+
+### Fixing file and directory permissions.
+echo "Fixing file/directory permissions."
+(
+       cd $d
+       find . -type f -print | xargs chmod u+rw,go+r
+       find . -type d -print | xargs chmod u+rwx,go+rx
+)
+echo done
+
+exit 0
diff -r f079e06fc901 -r 7ec691cdc872 external/bsd/am-utils/bin/fsinfo/Makefile
--- a/external/bsd/am-utils/bin/fsinfo/Makefile Sat Jan 17 17:30:26 2015 +0000
+++ b/external/bsd/am-utils/bin/fsinfo/Makefile Sat Jan 17 17:46:30 2015 +0000
@@ -1,4 +1,4 @@
-#      $NetBSD: Makefile,v 1.4 2011/05/26 12:56:25 joerg Exp $
+#      $NetBSD: Makefile,v 1.5 2015/01/17 17:46:30 christos Exp $
 
 .include "${.CURDIR}/../Makefile.inc"
 
@@ -12,11 +12,8 @@
 MAN+=  fsinfo.8
 
 
-YPREFIX.fsi_gram.y =   fsi_yy
-LPREFIX.fsi_lex.l =    fsi_yy
-CPPFLAGS.fsi_lex.c += -Dyylval=fsi_yylval -Dyyerror=fsi_yyerror
-CPPFLAGS.fsi_util.c += -Dyyerror=fsi_yyerror -Dyyparse=fsi_yyparse
-CPPFLAGS.fsinfo.c += -Dyyparse=fsi_yyparse
+YPREFIX.fsi_gram.y =   fsi_
+LPREFIX.fsi_lex.l =    fsi_
 
 CWARNFLAGS.clang+=     -Wno-unneeded-internal-declaration
 
diff -r f079e06fc901 -r 7ec691cdc872 external/bsd/am-utils/dist/ChangeLog
--- a/external/bsd/am-utils/dist/ChangeLog      Sat Jan 17 17:30:26 2015 +0000
+++ b/external/bsd/am-utils/dist/ChangeLog      Sat Jan 17 17:46:30 2015 +0000
@@ -1,3 +1,365 @@
+2015-01-17  Christos Zoulas <christos%zoulas.com@localhost>
+
+       * Move libtool macro functions from m4/macros to m4 and delete
+         the repository copies. Makes am-utils work with libtool-2.4.4
+         and fixes the serial number warnings (raven at themaw.net)
+
+2014-10-28  Christos Zoulas <christos%zoulas.com@localhost>
+
+       *******************************************************************
+       *** Released am-utils-6.2                                       ***
+       *******************************************************************
+
+       * add ylwrap.amd, sick and tired of patching broken ylwrap.
+
+2014-09-05  Christos Zoulas <christos%zoulas.com@localhost>
+
+       * factor out the size check for both readdir methods
+         (raven at themaw.net)
+
+2014-09-03  Christos Zoulas <christos%zoulas.com@localhost>
+
+       * configure test for 64 bit xdr function (raven at themaw.net)
+
+2014-09-01  Christos Zoulas <christos%zoulas.com@localhost>
+
+       * bug fix from raven at themaw.net to prevent writing v3 handle
+         to a v2 structure.
+
+2014-07-21  Christos Zoulas <christos%zoulas.com@localhost>
+
+       * fix permission problems with access
+       * auto_nfs_version = 3 now works for me.
+
+2014-07-20  Christos Zoulas <christos%zoulas.com@localhost>
+
+       * refresh some autoconf files
+       * force autoconf version since earlier versions don't work
+       * changes from raven at themaw.net to support NFSv3 for automounted
+         toplevel filesystems presented to the list in May. A few bug fixes
+         and integration changes by me. The code now works well enough to
+         mount the filesystem with NFSv3 and automount children but readdir
+         does not work yet (so no listing of automounted filesystems).
+         The new code is not enabled by default. To enable use
+               auto_nfs_version = 3
+         in your configuration file.
+
+2014-03-26  Christos Zoulas <christos%zoulas.com@localhost>
+
+       From Ian Kent <ikent%redhat.com@localhost>
+
+       * use mktemp in scripts/fixrmtab
+       * fix documentatio nits
+       * [linux] Add ext2, ext3, ext4 specific mount options
+       * fix tcpwrappers (hosts.{allow,deny} problems for specific host
+         entries
+
+2014-03-20  Christos Zoulas <christos%zoulas.com@localhost>
+
+
+       * don't background autofs umount
+       * avoid fh NULL dereference on umount
+       * handle ENOENT umount return for autofs mounts
+       * fix error message in get_nfs_version
+       * fix debug log deadlock
+       * [linux] retry umount on EBUSY
+       * handle failed umount on exit
+
+2014-03-09  Christos Zoulas <christos%zoulas.com@localhost>
+
+       * Remove BSD advertising clause.
+       * Remove expn program which is not used by anything
+
+2013-12-05  Christos Zoulas <christos%zoulas.com@localhost>
+
+       * Change the way we handle multiple lex scanners and yacc parsers
+         in a single program. Our old patch to ylwrap does not work anymore
+         because the bison parsers need shared symbols that start with yy
+         and we can't easily select which ones work. So now we use -P and
+         -p to let lex and yacc do the work for us. This requires a patch
+         to ylwrap, but it is smaller.
+
+
+2013-12-05  Christos Zoulas <christos%zoulas.com@localhost>
+
+       * Change the way we handle multiple lex scanners and yacc parsers
+         in a single program. Our old patch to ylwrap does not work anymore
+         because the bison parsers need shared symbols that start with yy
+         and we can't easily select which ones work. So now we use -P and
+         -p to let lex and yacc do the work for us. This requires a patch
+         to ylwrap, but it is smaller.
+
+2013-05-14  Christos Zoulas <christos%zoulas.com@localhost>
+
+       * update to handle new autoconf and regen files
+
+2012-11-23  Christos Zoulas <christos%zoulas.com@localhost>
+
+       * recognize mountport=, noacl options
+       * simplify the bootstrap process, by forcing
+         all the files to be rebuild with autoreconf -f - i
+
+2012-10-03  Christos Zoulas <christos%zoulas.com@localhost>
+
+       * add missing ops_nfs4.c to the Makefile.am
+
+2012-09-14  Christos Zoulas <christos%zoulas.com@localhost>
+
+       * add locking option handling for lustre
+       * fix noatime, nodiratime, mandlock for linux
+
+2012-07-25  Christos Zoulas <christos%zoulas.com@localhost>
+
+       * bug fixes for lustre rhost parsing
+
+2012-06-27  Christos Zoulas <christos%zoulas.com@localhost>
+
+       * Disable 1/2-baked sun map support to avoid SIGSEGV
+
+2012-06-16  Christos Zoulas <christos%zoulas.com@localhost>
+
+       *******************************************************************
+       *** Released am-utils-6.2-rc1                                   ***
+       *******************************************************************
+
+       * Fix libtool.m4 to work with later versions of autoconf.
+       * In buildall, use eval so that quoted strings work
+       * Centralize nfs version checking function, and introduce
+         new configuration variable nfs_vers_ping, which is the
+         max version we ping for. This is not documented yet, because
+         there might be a better way separate the max version we can
+         use vs the max version we ping for.
+
+2012-06-09  Christos Zoulas <christos%zoulas.com@localhost>
+



Home | Main Index | Thread Index | Old Index